> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Daily Files

> This endpoint downloads a daily reporting file for a specific resource, date, and action.

The Reporting API provides reports of any create, update or delete events that took place on a particular date for each available `resource_type`. There is a specific endpoint for each `action` that took place for the resource on that specific day.

If a particular resource has no data for a given day, a file with headers but no body is generated and made available for retrieval.

Files are generated daily at midnight (UTC), and you can begin to request them at that time; however, it can take some time for the files to finish being assembled; we recommend waiting until 01:00 UTC before requesting them.

Files are available for seven days after being generated. We recommend that you pull files daily as soon as they become available even if they are not able to process the data at that time. We don't have the ability to regenerate files once they are gone.

If a file being requested is no longer available, a `410 Gone` status is returned.

## Path Parameters

<ParamField path="client_id" required type="string">
  Your client ID.
</ParamField>

<ParamField path="date" required type="string">
  The date of the file being requested.
</ParamField>

<ParamField path="resource_type" required type="string">
  This must be one of the following resource types: `accounts`, `analytics_events`, `analytics_screenviews`, `analytics_timed_events`, `beat`, `beat_feedback`, `budgets`, `categories`, `devices`, `discovered_accounts`, `discovered_transactions`, `goals`, `holdings`, `members`, `notification_profiles`, `tags`, `taggings`, `transactions`, `users`, `user_communication_profiles`.
</ParamField>

<ParamField path="action" required type="string">
  This must be one of: `created`, `updated`, `deleted`.
</ParamField>

<RequestExample>
  ```shell Request theme={null}
  # If using curl, the output response can be saved
  # to a file by adding the `-o` flag and
  # specifying the download path and file name
  # (e.g. `-o 20170626-transactions-created.avro`).

  curl -X GET https://int-logs.moneydesktop.com/download/{client_id}/2017-06-26/transactions/created -o 20170626-transactions-created.avro \
   -H 'Accept: application/vnd.mx.logs.v1+avro' \
   -H 'MD-API-KEY: {api_key}'
  ```
</RequestExample>
